Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# vorbisfile.h File Reference

`#include <stdio.h>`
`#include "codec.h"`

Include dependency graph for vorbisfile.h:

Go to the source code of this file.

## Compounds
struct | OggVorbis_File
struct | ov_callbacks
## Defines
#define | NOTOPEN 0
#define | PARTOPEN 1
#define | OPENED 2
#define | STREAMSET 3
#define | INITSET 4
## Typedefs
typedef OggVorbis_File | OggVorbis_File
## Functions
int | ov_clear (OggVorbis_File *vf)
int | ov_open (FILE *f, OggVorbis_File *vf, char *initial, long ibytes)
int | ov_open_callbacks (void *datasource, OggVorbis_File *vf, char *initial, long ibytes, ov_callbacks callbacks)
int | ov_test (FILE *f, OggVorbis_File *vf, char *initial, long ibytes)
int | ov_test_callbacks (void *datasource, OggVorbis_File *vf, char *initial, long ibytes, ov_callbacks callbacks)
int | ov_test_open (OggVorbis_File *vf)
long | ov_bitrate (OggVorbis_File *vf, int i)
long | ov_bitrate_instant (OggVorbis_File *vf)
long | ov_streams (OggVorbis_File *vf)
long | ov_seekable (OggVorbis_File *vf)
long | ov_serialnumber (OggVorbis_File *vf, int i)
ogg_int64_t | ov_raw_total (OggVorbis_File *vf, int i)
ogg_int64_t | ov_pcm_total (OggVorbis_File *vf, int i)
double | ov_time_total (OggVorbis_File *vf, int i)
int | ov_raw_seek (OggVorbis_File *vf, long pos)
int | ov_pcm_seek (OggVorbis_File *vf, ogg_int64_t pos)
int | ov_pcm_seek_page (OggVorbis_File *vf, ogg_int64_t pos)
int | ov_time_seek (OggVorbis_File *vf, double pos)
int | ov_time_seek_page (OggVorbis_File *vf, double pos)
ogg_int64_t | ov_raw_tell (OggVorbis_File *vf)
ogg_int64_t | ov_pcm_tell (OggVorbis_File *vf)
double | ov_time_tell (OggVorbis_File *vf)
vorbis_info * | ov_info (OggVorbis_File *vf, int link)
vorbis_comment * | ov_comment (OggVorbis_File *vf, int link)
long | ov_read (OggVorbis_File *vf, char *buffer, int length, int bigendianp, int word, int sgned, int *bitstream)

## Define Documentation

#define INITSET 4

#define NOTOPEN 0

#define OPENED 2

#define PARTOPEN 1

#define STREAMSET 3

## Typedef Documentation

typedef struct OggVorbis_File OggVorbis_File

## Function Documentation

long ov_bitrate | ( | OggVorbis_File * | vf,
|  | int | i
| ) |

long ov_bitrate_instant | ( | OggVorbis_File * | vf | ) |

int ov_clear | ( | OggVorbis_File * | vf | ) |

vorbis_comment* ov_comment | ( | OggVorbis_File * | vf,
|  | int | link
| ) |

vorbis_info* ov_info | ( | OggVorbis_File * | vf,
|  | int | link
| ) |

int ov_open | ( | FILE * | f,
|  | OggVorbis_File * | vf,
|  | char * | initial,
|  | long | ibytes
| ) |

int ov_open_callbacks | ( | void * | datasource,
|  | OggVorbis_File * | vf,
|  | char * | initial,
|  | long | ibytes,
|  | ov_callbacks | callbacks
| ) |

int ov_pcm_seek | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |

int ov_pcm_seek_page | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |

ogg_int64_t ov_pcm_tell | ( | OggVorbis_File * | vf | ) |

ogg_int64_t ov_pcm_total | ( | OggVorbis_File * | vf,
|  | int | i
| ) |

int ov_raw_seek | ( | OggVorbis_File * | vf,
|  | long | pos
| ) |

ogg_int64_t ov_raw_tell | ( | OggVorbis_File * | vf | ) |

ogg_int64_t ov_raw_total | ( | OggVorbis_File * | vf,
|  | int | i
| ) |

long ov_read | ( | OggVorbis_File * | vf,
|  | char * | buffer,
|  | int | length,
|  | int | bigendianp,
|  | int | word,
|  | int | sgned,
|  | int * | bitstream
| ) |

long ov_seekable | ( | OggVorbis_File * | vf | ) |

long ov_serialnumber | ( | OggVorbis_File * | vf,
|  | int | i
| ) |

long ov_streams | ( | OggVorbis_File * | vf | ) |

int ov_test | ( | FILE * | f,
|  | OggVorbis_File * | vf,
|  | char * | initial,
|  | long | ibytes
| ) |

int ov_test_callbacks | ( | void * | datasource,
|  | OggVorbis_File * | vf,
|  | char * | initial,
|  | long | ibytes,
|  | ov_callbacks | callbacks
| ) |

int ov_test_open | ( | OggVorbis_File * | vf | ) |

int ov_time_seek | ( | OggVorbis_File * | vf,
|  | double | pos
| ) |

int ov_time_seek_page | ( | OggVorbis_File * | vf,
|  | double | pos
| ) |

double ov_time_tell | ( | OggVorbis_File * | vf | ) |

double ov_time_total | ( | OggVorbis_File * | vf,
|  | int | i
| ) |